%define name	simsam
%define version	0.1.8
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Simple sampler for MIDI
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
Patch0:		simsam-0.1.8-fix-gcc4.3.patch
Patch1:		simsam-0.1.8-fix-str-fmt.patch
URL:		http://simsam.sourceforge.net/
License:	GPLv2
Group:		Sound
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	pkgconfig qt3-devel
BuildRequires:	jackit-devel libsamplerate-devel libsndfile-devel alsa-lib-devel

%description
Simsam is a simple MIDI sample playback program. You can use it to play drum
samples and loops from a MIDI keyboard or sequencer.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
PATH="/usr/lib/qt3/bin:$PATH" ; export PATH ;
%configure2_5x --with-Qt-bin-dir=%_prefix/lib/qt3/bin --with-Qt-lib-dir=%{_libdir}
%make
										
%install
rm -rf %{buildroot}
%makeinstall

#menu
mkdir -p %{buildroot}%{_datadir}/applications/
cat << EOF > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop
[Desktop Entry]
Type=Application
Exec=%{name}
Icon=sound_section
Name=SimSam
Comment=Simple Sampler
Categories=Audio;
EOF

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/%name
%{_datadir}/%name
%{_datadir}/applications/mandriva-%name.desktop



%changelog
* Mon May 18 2009 Jérôme Brenier <incubusss@mandriva.org> 0.1.8-1mdv2010.0
+ Revision: 376801
- update to new version 0.1.8
- remove gcc3_4 patch (merged upstream)
- add patch to fix build with gcc 4.3
- add patch to fix str fmt (thanks misc !)
- fix configure options
- fix license (GPLv2)
- minor cosmetic changes for specfile policy

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix no-buildroot-tag
    - auto convert menu to XDG
    - BR alsa-lib-devel
    - kill re-definition of %%buildroot on Pixel's request
    - use %%mkrel
    - import simsam

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas


* Fri Jan 27 2006 Austin Acton <austin@mandriva.org> 0.1.7-3mdk
- Rebuild

* Sat Jun 5 2004 Austin Acton <austin@mandrake.org> 0.1.7-2mdk
- configure 2.5
- patch for new gcc (Christiaan Welvaart)

* Thu Feb 20 2004 Austin Acton <austin@mandrake.org> 0.1.7-1mdk
- 0.1.7

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.1.6-1mdk
- 0.1.6

* Wed Nov 12 2003 Austin Acton <aacton@yorku.ca> 0.1.3-1mdk
- initial package
